%define libname %mklibname glamor 0
%define develname %mklibname -d glamor

%define _disable_ld_no_undefined 1

Name:           glamor
Version:        0.6.0
Release:        %mkrel 5
Summary:        Open-source 2D graphics common driver for X.org
License:        MIT
Group:          System/X11
Url:            http://www.freedesktop.org/wiki/Software/Glamor
Source:         http://xorg.freedesktop.org/releases/individual/driver/%{name}-egl-%{version}.tar.xz
Patch0:		glamor-egl_0.6.0-0ubuntu4.diff
#----------------------------------
BuildRequires: %{_lib}drm-devel
BuildRequires: %{_lib}gbm1-devel
BuildRequires: %{_lib}mesaegl1-devel
BuildRequires: %{_lib}mesagl1-devel
BuildRequires: %{_lib}pciaccess-devel
BuildRequires: %{_lib}pixman-devel
BuildRequires:  x11-util-macros
BuildRequires:  x11-server-devel
BuildRequires:  x11-proto-devel
#----------------------------------
Requires: x11-server-common >= 1.16.3


%description
The glamor module is an open-source 2D graphics common driver for the X Window
System as implemented by X.Org. It supports a variety of graphics chipsets
which have OpenGL/EGL/GBM supports. 

It’s a GL-based rendering acceleration library for X server:

  * It uses GL functions and shader to complete the 2D graphics operations.
  * It uses normal texture to represent a drawable pixmap if possible.
  * It calls GL functions to render to the texture directly.

It’s somehow hardware independently. And could be a building block of any
X server’s DDX driver:

  * Xorg’s DDX driver could leverage glamor-egl package to create an EGL
    context without any native X system. Now the xf86-intel-video driver uses
    glamor as one of its option. When you build it with --enable-glamor, then
    it will use glamor as its rendering enginee.


%package -n %libname
Summary:        Library for %{name}
Group:          System/Libraries

%description -n %libname
Library for %{name}

%package -n %develname
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{libname} = %{version}

%description -n %develname
Development files for %{name}

%prep
%setup -q -n %{name}-egl-%{version}
%apply_patches

%build
autoreconf -fiv

%configure2_5x \
 --disable-static \
 --with-xorg-conf-dir=%{_sysconfdir}/X11/xorg.conf.d \
 --enable-glx-tls
%make

%install
rm -rf %buildroot
%makeinstall_std
mv %{buildroot}%{_sysconfdir}/X11/xorg.conf.d/{,05-}glamor.conf
mkdir -p %{buildroot}%{_sysconfdir}/ld.so.conf.d/
echo %{_libdir}/xorg/modules >%{buildroot}%{_sysconfdir}/ld.so.conf.d/%{name}.conf

#dont package these
rm -f %{buildroot}%{_libdir}/*.la
rm -f %{buildroot}%{_libdir}/xorg/modules/*.la


%files
%defattr(-,root,root)
%doc COPYING README ChangeLog
%config(noreplace) %{_sysconfdir}/ld.so.conf.d/%{name}.conf
%{_libdir}/xorg/modules/libglamor*.so
%config(noreplace) %{_sysconfdir}/X11/xorg.conf.d/05-glamor.conf

%files -n %libname
%defattr(-,root,root)
%{_libdir}/libglamor.so.*

%files -n %develname
%defattr(-,root,root)
%{_libdir}/libglamor.so
%{_libdir}/pkgconfig/%{name}*.pc
%{_includedir}/xorg/glamor.h

%clean
rm -rf %buildroot

%changelog
* Sat Oct 24 2015 bb <bb> 0.6.0-5pclos2015
- rebuild for updates

* Wed Jan 28 2015 bb <bb> 0.6.0-4pclos2015
- rebuild for new xserver

* Wed May 20 2014 bb <bb> 0.6.0-3pclos2014
- rebuild for new xserver

* Sat May 03 2014 bb <bb> 0.6.0-2pclos2014
- apply patch for undefined symbol: _glapi_tls bug

* Sat May 03 2014 bb <bb> 0.6.0-1pclos2014
- update

* Sun Oct 27 2013 bb <bb> 0.5.1-1pclos2013
- update
